Subject: Re: Lines count in USEFOR

From: Julien ÉLIE <[email-masked]>
Date: Sat, 5 Dec 2009 13:27:47 +0100

Hi,

> 3.3.1.  Lines
>
>   The Lines header field indicates the number of lines in the <body>
>   (as defined in [RFC5322]) of the article.
>
>   lines           =  "Lines:" SP *WSP 1*DIGIT *WSP CRLF
>
>   The line count is the number of CRLF separators in the <body>.
>
>   Historically, this header field was used by the NNTP [RFC3977]
>   overview facility, but its use for this purpose is now deprecated.
>   As a result, this header field is to be regarded as obsolescent, and
>   it is likely to be removed entirely in a future version of this
>   standard.  All agents SHOULD ignore it and SHOULD NOT generate it.

Hmm...
And what happens to currently existing headers feeds?  (look at Diablo
for instance)

The Lines: header is still useful (and probably also the Bytes: one)
to have an idea of the length of the body of the article.

-- 
Julien ÉLIE

« Pour défendre une cause, un avocat met sa robe. Une femme... l'enlève. »

---

From: Russ Allbery <[email-masked]>
Date: Sat, 05 Dec 2009 12:58:45 -0800

> to have an idea of the length of the body of the article.

I suspect the right thing to do there is to define the header feed as
providing the NNTP :lines and :bytes metadata as opposed to actual headers
from the article.

-- 
Russ Allbery ([email-masked])             <http://www.eyrie.org/~eagle/>